> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truestate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Training Supervisions



## OpenAPI

````yaml https://api.truestate.io/openapi.json get /pipelines/{pipeline_id}/runs/{run_id}/training/{job_name}/supervisions/
openapi: 3.1.0
info:
  title: TrueState Backend API
  summary: >-
    TrueState is an AI platform for business users to create high-impact AI
    solutions.
  description: >

    This **[TrueState](https://www.truestate.io/)** backend API allows our
    clients to automate and more powerfully retrieve and modify data from the
    TrueState platform.


    Example use cases include:


    - Accessing embeddings for a dataset.

    - Automating the process of dataset creation and model retraining as your
    data changes.

    - Much more.


    Our backend is built using the [FastAPI](https://fastapi.tiangolo.com/)
    framework in python

    using [Auth0](https://auth0.com/) and [Client API
    Keys](https://www.truestate.io/dawn/docs) for internal an external
    authentication, respectively.

    Our backend is designed to be secure, scalable, easy to use and well
    documented _(each router with its own linked docs page)_.

    Clients can only access data from their own organisation, as setup in Auth0
    our the Client API Keys. See how
    **[here](https://www.truestate.io/dawn/docs)**.


    **PS**: You can view this API documentation in either
    **[Swagger](swagger/docs)** or **[Redoc](redoc/)**, but only the swagger
    lets you test calls.
  contact:
    name: True State Support
    url: https://www.truestate.io/dawn/docs
    email: support@truestate.io
  license:
    name: Private
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 0.13.95
servers: []
security: []
paths:
  /pipelines/{pipeline_id}/runs/{run_id}/training/{job_name}/supervisions/:
    get:
      tags:
        - training-checkpoints
      summary: List Training Supervisions
      operationId: >-
        list_training_supervisions_pipelines__pipeline_id__runs__run_id__training__job_name__supervisions__get
      parameters:
        - name: pipeline_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Pipeline Id
        - name: run_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Run Id
        - name: job_name
          in: path
          required: true
          schema:
            type: string
            title: Job Name
        - name: Api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TrainingSupervisionRead'
                title: >-
                  Response List Training Supervisions Pipelines  Pipeline Id 
                  Runs  Run Id  Training  Job Name  Supervisions  Get
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    TrainingSupervisionRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        training_session_id:
          type: string
          format: uuid
          title: Training Session Id
        requested_by_member_id:
          type: string
          format: uuid
          title: Requested By Member Id
        source_conversation_id:
          type: string
          format: uuid
          title: Source Conversation Id
        supervisor_conversation_id:
          type: string
          format: uuid
          title: Supervisor Conversation Id
        instructions:
          type: string
          title: Instructions
        allowed_actions:
          items:
            $ref: '#/components/schemas/TrainingControlAction'
          type: array
          title: Allowed Actions
        interval_seconds:
          type: integer
          title: Interval Seconds
        status:
          $ref: '#/components/schemas/TrainingSupervisionStatus'
        next_check_at:
          type: string
          format: date-time
          title: Next Check At
        lease_expires_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Lease Expires At
        lease_command_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Lease Command Id
        last_check_started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Check Started At
        last_check_completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Check Completed At
        check_count:
          type: integer
          title: Check Count
        consecutive_failures:
          type: integer
          title: Consecutive Failures
        last_error:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Error
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - training_session_id
        - requested_by_member_id
        - source_conversation_id
        - supervisor_conversation_id
        - instructions
        - allowed_actions
        - interval_seconds
        - status
        - next_check_at
        - check_count
        - consecutive_failures
        - created_at
        - updated_at
      title: TrainingSupervisionRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TrainingControlAction:
      type: string
      enum:
        - continue
        - pause
        - resume
        - rollback
        - warm_restart
        - finish_from_checkpoint
        - abort
      title: TrainingControlAction
    TrainingSupervisionStatus:
      type: string
      enum:
        - active
        - completed
        - cancelled
        - failed
      title: TrainingSupervisionStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````